window.linksPanelShowed = false
$(document).on 'ready page:load turbolinks:load', ->
  if window.linksPanelShowed
    $('#container:not(.pinned) #links_panel').css left: 0

$(document).on 'mouseover click', '#container:not(.pinned) #links_panel', ->
  unless window.linksPanelShowed
    $linksPanel = $(this)
    $linksPanel.animate {left: 0}, 100, ->
      $linksPanel.find('.handle i').removeClass('fa-chevron-circle-right').addClass('fa-chevron-circle-left')
      window.linksPanelShowed = true

$(document).on 'mouseleave', '#container:not(.pinned) #links_panel', ->
  $linksPanel = $(this)
  $linksPanel.animate {left: 10 - $linksPanel.width()}, 250, ->
    $linksPanel.find('.handle i').removeClass('fa-chevron-circle-left').addClass('fa-chevron-circle-right')
    window.linksPanelShowed = false

$(document).on 'click', '#container:not(.pinned) #links_panel .handle', ->
  $linksPanel = $('#links_panel')
  $linksPanel.animate {left: 10 - $linksPanel.width()}, 250, ->
    $linksPanel.find('.handle i').removeClass('fa-chevron-circle-left').addClass('fa-chevron-circle-right')
    window.linksPanelShowed = false

$(document).on 'click', '#container:not(.pinned) #links_panel .pin', ->
  $('#container').addClass('pinned')
  $.ajax '/admin/settings/links_pinned', method: 'patch', dataType: 'json', data: {setting: {value: 1}}

$(document).on 'click', '#container.pinned #links_panel .pin', ->
  $('#container').removeClass('pinned')
  $.ajax '/admin/settings/links_pinned', method: 'patch', dataType: 'json', data: {setting: {value: 0}}

